.ifndef INCLUDED_CYFITTERGNU_INC
.set INCLUDED_CYFITTERGNU_INC, 1
.include "cydevicegnu.inc"
.include "cydevicegnu_trm.inc"

/* PD_HB1_Clock */
.set PD_HB1_Clock__CFG0, CYREG_CLKDIST_DCFG2_CFG0
.set PD_HB1_Clock__CFG1, CYREG_CLKDIST_DCFG2_CFG1
.set PD_HB1_Clock__CFG2, CYREG_CLKDIST_DCFG2_CFG2
.set PD_HB1_Clock__CFG2_SRC_SEL_MASK, 0x07
.set PD_HB1_Clock__INDEX, 0x02
.set PD_HB1_Clock__PM_ACT_CFG, CYREG_PM_ACT_CFG2
.set PD_HB1_Clock__PM_ACT_MSK, 0x04
.set PD_HB1_Clock__PM_STBY_CFG, CYREG_PM_STBY_CFG2
.set PD_HB1_Clock__PM_STBY_MSK, 0x04

/* PD_HB1_Pin */
.set PD_HB1_Pin__0__MASK, 0x40
.set PD_HB1_Pin__0__PC, CYREG_PRT12_PC6
.set PD_HB1_Pin__0__PORT, 12
.set PD_HB1_Pin__0__SHIFT, 6
.set PD_HB1_Pin__AG, CYREG_PRT12_AG
.set PD_HB1_Pin__BIE, CYREG_PRT12_BIE
.set PD_HB1_Pin__BIT_MASK, CYREG_PRT12_BIT_MASK
.set PD_HB1_Pin__BYP, CYREG_PRT12_BYP
.set PD_HB1_Pin__DM0, CYREG_PRT12_DM0
.set PD_HB1_Pin__DM1, CYREG_PRT12_DM1
.set PD_HB1_Pin__DM2, CYREG_PRT12_DM2
.set PD_HB1_Pin__DR, CYREG_PRT12_DR
.set PD_HB1_Pin__INP_DIS, CYREG_PRT12_INP_DIS
.set PD_HB1_Pin__MASK, 0x40
.set PD_HB1_Pin__PORT, 12
.set PD_HB1_Pin__PRT, CYREG_PRT12_PRT
.set PD_HB1_Pin__PRTDSI__DBL_SYNC_IN, CYREG_PRT12_DBL_SYNC_IN
.set PD_HB1_Pin__PRTDSI__OE_SEL0, CYREG_PRT12_OE_SEL0
.set PD_HB1_Pin__PRTDSI__OE_SEL1, CYREG_PRT12_OE_SEL1
.set PD_HB1_Pin__PRTDSI__OUT_SEL0, CYREG_PRT12_OUT_SEL0
.set PD_HB1_Pin__PRTDSI__OUT_SEL1, CYREG_PRT12_OUT_SEL1
.set PD_HB1_Pin__PRTDSI__SYNC_OUT, CYREG_PRT12_SYNC_OUT
.set PD_HB1_Pin__PS, CYREG_PRT12_PS
.set PD_HB1_Pin__SHIFT, 6
.set PD_HB1_Pin__SIO_CFG, CYREG_PRT12_SIO_CFG
.set PD_HB1_Pin__SIO_DIFF, CYREG_PRT12_SIO_DIFF
.set PD_HB1_Pin__SIO_HYST_EN, CYREG_PRT12_SIO_HYST_EN
.set PD_HB1_Pin__SIO_REG_HIFREQ, CYREG_PRT12_SIO_REG_HIFREQ
.set PD_HB1_Pin__SLW, CYREG_PRT12_SLW

/* PD_HB2_Clock */
.set PD_HB2_Clock__CFG0, CYREG_CLKDIST_DCFG3_CFG0
.set PD_HB2_Clock__CFG1, CYREG_CLKDIST_DCFG3_CFG1
.set PD_HB2_Clock__CFG2, CYREG_CLKDIST_DCFG3_CFG2
.set PD_HB2_Clock__CFG2_SRC_SEL_MASK, 0x07
.set PD_HB2_Clock__INDEX, 0x03
.set PD_HB2_Clock__PM_ACT_CFG, CYREG_PM_ACT_CFG2
.set PD_HB2_Clock__PM_ACT_MSK, 0x08
.set PD_HB2_Clock__PM_STBY_CFG, CYREG_PM_STBY_CFG2
.set PD_HB2_Clock__PM_STBY_MSK, 0x08

/* PD_HB2_Pin */
.set PD_HB2_Pin__0__MASK, 0x80
.set PD_HB2_Pin__0__PC, CYREG_PRT12_PC7
.set PD_HB2_Pin__0__PORT, 12
.set PD_HB2_Pin__0__SHIFT, 7
.set PD_HB2_Pin__AG, CYREG_PRT12_AG
.set PD_HB2_Pin__BIE, CYREG_PRT12_BIE
.set PD_HB2_Pin__BIT_MASK, CYREG_PRT12_BIT_MASK
.set PD_HB2_Pin__BYP, CYREG_PRT12_BYP
.set PD_HB2_Pin__DM0, CYREG_PRT12_DM0
.set PD_HB2_Pin__DM1, CYREG_PRT12_DM1
.set PD_HB2_Pin__DM2, CYREG_PRT12_DM2
.set PD_HB2_Pin__DR, CYREG_PRT12_DR
.set PD_HB2_Pin__INP_DIS, CYREG_PRT12_INP_DIS
.set PD_HB2_Pin__MASK, 0x80
.set PD_HB2_Pin__PORT, 12
.set PD_HB2_Pin__PRT, CYREG_PRT12_PRT
.set PD_HB2_Pin__PRTDSI__DBL_SYNC_IN, CYREG_PRT12_DBL_SYNC_IN
.set PD_HB2_Pin__PRTDSI__OE_SEL0, CYREG_PRT12_OE_SEL0
.set PD_HB2_Pin__PRTDSI__OE_SEL1, CYREG_PRT12_OE_SEL1
.set PD_HB2_Pin__PRTDSI__OUT_SEL0, CYREG_PRT12_OUT_SEL0
.set PD_HB2_Pin__PRTDSI__OUT_SEL1, CYREG_PRT12_OUT_SEL1
.set PD_HB2_Pin__PRTDSI__SYNC_OUT, CYREG_PRT12_SYNC_OUT
.set PD_HB2_Pin__PS, CYREG_PRT12_PS
.set PD_HB2_Pin__SHIFT, 7
.set PD_HB2_Pin__SIO_CFG, CYREG_PRT12_SIO_CFG
.set PD_HB2_Pin__SIO_DIFF, CYREG_PRT12_SIO_DIFF
.set PD_HB2_Pin__SIO_HYST_EN, CYREG_PRT12_SIO_HYST_EN
.set PD_HB2_Pin__SIO_REG_HIFREQ, CYREG_PRT12_SIO_REG_HIFREQ
.set PD_HB2_Pin__SLW, CYREG_PRT12_SLW

/* PD_j1HY28B_iCtrl */
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__0__MASK, 0x01
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__0__POS, 0
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__1__MASK, 0x02
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__1__POS, 1
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG, CYREG_B0_UDB05_06_ACTL
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG, CYREG_B0_UDB05_06_CTL
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG, CYREG_B0_UDB05_06_CTL
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG, CYREG_B0_UDB05_06_CTL
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG, CYREG_B0_UDB05_06_CTL
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__16BIT_MASK_MASK_REG, CYREG_B0_UDB05_06_MSK
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG, CYREG_B0_UDB05_06_MSK
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG, CYREG_B0_UDB05_06_MSK
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG, CYREG_B0_UDB05_06_MSK
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__2__MASK, 0x04
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__2__POS, 2
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__4__MASK, 0x10
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__4__POS, 4
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__5__MASK, 0x20
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__5__POS, 5
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__6__MASK, 0x40
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__6__POS, 6
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__CONTROL_AUX_CTL_REG, CYREG_B0_UDB05_ACTL
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__CONTROL_REG, CYREG_B0_UDB05_CTL
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__CONTROL_ST_REG, CYREG_B0_UDB05_ST_CTL
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__COUNT_REG, CYREG_B0_UDB05_CTL
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__COUNT_ST_REG, CYREG_B0_UDB05_ST_CTL
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__MASK, 0x77
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG, CYREG_B0_UDB05_MSK_ACTL
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG, CYREG_B0_UDB05_MSK_ACTL
.set PD_j1HY28B_iCtrl_Sync_ctrl_reg__PERIOD_REG, CYREG_B0_UDB05_MSK

/* PD_j1HY28B_iLBus */
.set PD_j1HY28B_iLBus__0__MASK, 0x01
.set PD_j1HY28B_iLBus__0__PC, CYREG_PRT3_PC0
.set PD_j1HY28B_iLBus__0__PORT, 3
.set PD_j1HY28B_iLBus__0__SHIFT, 0
.set PD_j1HY28B_iLBus__1__MASK, 0x02
.set PD_j1HY28B_iLBus__1__PC, CYREG_PRT3_PC1
.set PD_j1HY28B_iLBus__1__PORT, 3
.set PD_j1HY28B_iLBus__1__SHIFT, 1
.set PD_j1HY28B_iLBus__2__MASK, 0x04
.set PD_j1HY28B_iLBus__2__PC, CYREG_PRT3_PC2
.set PD_j1HY28B_iLBus__2__PORT, 3
.set PD_j1HY28B_iLBus__2__SHIFT, 2
.set PD_j1HY28B_iLBus__3__MASK, 0x08
.set PD_j1HY28B_iLBus__3__PC, CYREG_PRT3_PC3
.set PD_j1HY28B_iLBus__3__PORT, 3
.set PD_j1HY28B_iLBus__3__SHIFT, 3
.set PD_j1HY28B_iLBus__4__MASK, 0x10
.set PD_j1HY28B_iLBus__4__PC, CYREG_PRT3_PC4
.set PD_j1HY28B_iLBus__4__PORT, 3
.set PD_j1HY28B_iLBus__4__SHIFT, 4
.set PD_j1HY28B_iLBus__5__MASK, 0x20
.set PD_j1HY28B_iLBus__5__PC, CYREG_PRT3_PC5
.set PD_j1HY28B_iLBus__5__PORT, 3
.set PD_j1HY28B_iLBus__5__SHIFT, 5
.set PD_j1HY28B_iLBus__6__MASK, 0x40
.set PD_j1HY28B_iLBus__6__PC, CYREG_PRT3_PC6
.set PD_j1HY28B_iLBus__6__PORT, 3
.set PD_j1HY28B_iLBus__6__SHIFT, 6
.set PD_j1HY28B_iLBus__7__MASK, 0x80
.set PD_j1HY28B_iLBus__7__PC, CYREG_PRT3_PC7
.set PD_j1HY28B_iLBus__7__PORT, 3
.set PD_j1HY28B_iLBus__7__SHIFT, 7
.set PD_j1HY28B_iLBus__AG, CYREG_PRT3_AG
.set PD_j1HY28B_iLBus__AMUX, CYREG_PRT3_AMUX
.set PD_j1HY28B_iLBus__BIE, CYREG_PRT3_BIE
.set PD_j1HY28B_iLBus__BIT_MASK, CYREG_PRT3_BIT_MASK
.set PD_j1HY28B_iLBus__BYP, CYREG_PRT3_BYP
.set PD_j1HY28B_iLBus__CTL, CYREG_PRT3_CTL
.set PD_j1HY28B_iLBus__DM0, CYREG_PRT3_DM0
.set PD_j1HY28B_iLBus__DM1, CYREG_PRT3_DM1
.set PD_j1HY28B_iLBus__DM2, CYREG_PRT3_DM2
.set PD_j1HY28B_iLBus__DR, CYREG_PRT3_DR
.set PD_j1HY28B_iLBus__INP_DIS, CYREG_PRT3_INP_DIS
.set PD_j1HY28B_iLBus__LCD_COM_SEG, CYREG_PRT3_LCD_COM_SEG
.set PD_j1HY28B_iLBus__LCD_EN, CYREG_PRT3_LCD_EN
.set PD_j1HY28B_iLBus__MASK, 0xFF
.set PD_j1HY28B_iLBus__PORT, 3
.set PD_j1HY28B_iLBus__PRT, CYREG_PRT3_PRT
.set PD_j1HY28B_iLBus__PRTDSI__CAPS_SEL, CYREG_PRT3_CAPS_SEL
.set PD_j1HY28B_iLBus__PRTDSI__DBL_SYNC_IN, CYREG_PRT3_DBL_SYNC_IN
.set PD_j1HY28B_iLBus__PRTDSI__OE_SEL0, CYREG_PRT3_OE_SEL0
.set PD_j1HY28B_iLBus__PRTDSI__OE_SEL1, CYREG_PRT3_OE_SEL1
.set PD_j1HY28B_iLBus__PRTDSI__OUT_SEL0, CYREG_PRT3_OUT_SEL0
.set PD_j1HY28B_iLBus__PRTDSI__OUT_SEL1, CYREG_PRT3_OUT_SEL1
.set PD_j1HY28B_iLBus__PRTDSI__SYNC_OUT, CYREG_PRT3_SYNC_OUT
.set PD_j1HY28B_iLBus__PS, CYREG_PRT3_PS
.set PD_j1HY28B_iLBus__SHIFT, 0
.set PD_j1HY28B_iLBus__SLW, CYREG_PRT3_SLW

/* PD_j1HY28B_iLSS */
.set PD_j1HY28B_iLSS__0__MASK, 0x01
.set PD_j1HY28B_iLSS__0__PC, CYREG_PRT12_PC0
.set PD_j1HY28B_iLSS__0__PORT, 12
.set PD_j1HY28B_iLSS__0__SHIFT, 0
.set PD_j1HY28B_iLSS__AG, CYREG_PRT12_AG
.set PD_j1HY28B_iLSS__BIE, CYREG_PRT12_BIE
.set PD_j1HY28B_iLSS__BIT_MASK, CYREG_PRT12_BIT_MASK
.set PD_j1HY28B_iLSS__BYP, CYREG_PRT12_BYP
.set PD_j1HY28B_iLSS__DM0, CYREG_PRT12_DM0
.set PD_j1HY28B_iLSS__DM1, CYREG_PRT12_DM1
.set PD_j1HY28B_iLSS__DM2, CYREG_PRT12_DM2
.set PD_j1HY28B_iLSS__DR, CYREG_PRT12_DR
.set PD_j1HY28B_iLSS__INP_DIS, CYREG_PRT12_INP_DIS
.set PD_j1HY28B_iLSS__MASK, 0x01
.set PD_j1HY28B_iLSS__PORT, 12
.set PD_j1HY28B_iLSS__PRT, CYREG_PRT12_PRT
.set PD_j1HY28B_iLSS__PRTDSI__DBL_SYNC_IN, CYREG_PRT12_DBL_SYNC_IN
.set PD_j1HY28B_iLSS__PRTDSI__OE_SEL0, CYREG_PRT12_OE_SEL0
.set PD_j1HY28B_iLSS__PRTDSI__OE_SEL1, CYREG_PRT12_OE_SEL1
.set PD_j1HY28B_iLSS__PRTDSI__OUT_SEL0, CYREG_PRT12_OUT_SEL0
.set PD_j1HY28B_iLSS__PRTDSI__OUT_SEL1, CYREG_PRT12_OUT_SEL1
.set PD_j1HY28B_iLSS__PRTDSI__SYNC_OUT, CYREG_PRT12_SYNC_OUT
.set PD_j1HY28B_iLSS__PS, CYREG_PRT12_PS
.set PD_j1HY28B_iLSS__SHIFT, 0
.set PD_j1HY28B_iLSS__SIO_CFG, CYREG_PRT12_SIO_CFG
.set PD_j1HY28B_iLSS__SIO_DIFF, CYREG_PRT12_SIO_DIFF
.set PD_j1HY28B_iLSS__SIO_HYST_EN, CYREG_PRT12_SIO_HYST_EN
.set PD_j1HY28B_iLSS__SIO_REG_HIFREQ, CYREG_PRT12_SIO_REG_HIFREQ
.set PD_j1HY28B_iLSS__SLW, CYREG_PRT12_SLW

/* PD_j1HY28B_iRD */
.set PD_j1HY28B_iRD__0__MASK, 0x08
.set PD_j1HY28B_iRD__0__PC, CYREG_IO_PC_PRT15_PC3
.set PD_j1HY28B_iRD__0__PORT, 15
.set PD_j1HY28B_iRD__0__SHIFT, 3
.set PD_j1HY28B_iRD__AG, CYREG_PRT15_AG
.set PD_j1HY28B_iRD__AMUX, CYREG_PRT15_AMUX
.set PD_j1HY28B_iRD__BIE, CYREG_PRT15_BIE
.set PD_j1HY28B_iRD__BIT_MASK, CYREG_PRT15_BIT_MASK
.set PD_j1HY28B_iRD__BYP, CYREG_PRT15_BYP
.set PD_j1HY28B_iRD__CTL, CYREG_PRT15_CTL
.set PD_j1HY28B_iRD__DM0, CYREG_PRT15_DM0
.set PD_j1HY28B_iRD__DM1, CYREG_PRT15_DM1
.set PD_j1HY28B_iRD__DM2, CYREG_PRT15_DM2
.set PD_j1HY28B_iRD__DR, CYREG_PRT15_DR
.set PD_j1HY28B_iRD__INP_DIS, CYREG_PRT15_INP_DIS
.set PD_j1HY28B_iRD__LCD_COM_SEG, CYREG_PRT15_LCD_COM_SEG
.set PD_j1HY28B_iRD__LCD_EN, CYREG_PRT15_LCD_EN
.set PD_j1HY28B_iRD__MASK, 0x08
.set PD_j1HY28B_iRD__PORT, 15
.set PD_j1HY28B_iRD__PRT, CYREG_PRT15_PRT
.set PD_j1HY28B_iRD__PRTDSI__CAPS_SEL, CYREG_PRT15_CAPS_SEL
.set PD_j1HY28B_iRD__PRTDSI__DBL_SYNC_IN, CYREG_PRT15_DBL_SYNC_IN
.set PD_j1HY28B_iRD__PRTDSI__OE_SEL0, CYREG_PRT15_OE_SEL0
.set PD_j1HY28B_iRD__PRTDSI__OE_SEL1, CYREG_PRT15_OE_SEL1
.set PD_j1HY28B_iRD__PRTDSI__OUT_SEL0, CYREG_PRT15_OUT_SEL0
.set PD_j1HY28B_iRD__PRTDSI__OUT_SEL1, CYREG_PRT15_OUT_SEL1
.set PD_j1HY28B_iRD__PRTDSI__SYNC_OUT, CYREG_PRT15_SYNC_OUT
.set PD_j1HY28B_iRD__PS, CYREG_PRT15_PS
.set PD_j1HY28B_iRD__SHIFT, 3
.set PD_j1HY28B_iRD__SLW, CYREG_PRT15_SLW

/* PD_j1HY28B_iReset */
.set PD_j1HY28B_iReset__0__MASK, 0x01
.set PD_j1HY28B_iReset__0__PC, CYREG_PRT4_PC0
.set PD_j1HY28B_iReset__0__PORT, 4
.set PD_j1HY28B_iReset__0__SHIFT, 0
.set PD_j1HY28B_iReset__AG, CYREG_PRT4_AG
.set PD_j1HY28B_iReset__AMUX, CYREG_PRT4_AMUX
.set PD_j1HY28B_iReset__BIE, CYREG_PRT4_BIE
.set PD_j1HY28B_iReset__BIT_MASK, CYREG_PRT4_BIT_MASK
.set PD_j1HY28B_iReset__BYP, CYREG_PRT4_BYP
.set PD_j1HY28B_iReset__CTL, CYREG_PRT4_CTL
.set PD_j1HY28B_iReset__DM0, CYREG_PRT4_DM0
.set PD_j1HY28B_iReset__DM1, CYREG_PRT4_DM1
.set PD_j1HY28B_iReset__DM2, CYREG_PRT4_DM2
.set PD_j1HY28B_iReset__DR, CYREG_PRT4_DR
.set PD_j1HY28B_iReset__INP_DIS, CYREG_PRT4_INP_DIS
.set PD_j1HY28B_iReset__LCD_COM_SEG, CYREG_PRT4_LCD_COM_SEG
.set PD_j1HY28B_iReset__LCD_EN, CYREG_PRT4_LCD_EN
.set PD_j1HY28B_iReset__MASK, 0x01
.set PD_j1HY28B_iReset__PORT, 4
.set PD_j1HY28B_iReset__PRT, CYREG_PRT4_PRT
.set PD_j1HY28B_iReset__PRTDSI__CAPS_SEL, CYREG_PRT4_CAPS_SEL
.set PD_j1HY28B_iReset__PRTDSI__DBL_SYNC_IN, CYREG_PRT4_DBL_SYNC_IN
.set PD_j1HY28B_iReset__PRTDSI__OE_SEL0, CYREG_PRT4_OE_SEL0
.set PD_j1HY28B_iReset__PRTDSI__OE_SEL1, CYREG_PRT4_OE_SEL1
.set PD_j1HY28B_iReset__PRTDSI__OUT_SEL0, CYREG_PRT4_OUT_SEL0
.set PD_j1HY28B_iReset__PRTDSI__OUT_SEL1, CYREG_PRT4_OUT_SEL1
.set PD_j1HY28B_iReset__PRTDSI__SYNC_OUT, CYREG_PRT4_SYNC_OUT
.set PD_j1HY28B_iReset__PS, CYREG_PRT4_PS
.set PD_j1HY28B_iReset__SHIFT, 0
.set PD_j1HY28B_iReset__SLW, CYREG_PRT4_SLW

/* PD_j1HY28B_iRS */
.set PD_j1HY28B_iRS__0__MASK, 0x02
.set PD_j1HY28B_iRS__0__PC, CYREG_PRT12_PC1
.set PD_j1HY28B_iRS__0__PORT, 12
.set PD_j1HY28B_iRS__0__SHIFT, 1
.set PD_j1HY28B_iRS__AG, CYREG_PRT12_AG
.set PD_j1HY28B_iRS__BIE, CYREG_PRT12_BIE
.set PD_j1HY28B_iRS__BIT_MASK, CYREG_PRT12_BIT_MASK
.set PD_j1HY28B_iRS__BYP, CYREG_PRT12_BYP
.set PD_j1HY28B_iRS__DM0, CYREG_PRT12_DM0
.set PD_j1HY28B_iRS__DM1, CYREG_PRT12_DM1
.set PD_j1HY28B_iRS__DM2, CYREG_PRT12_DM2
.set PD_j1HY28B_iRS__DR, CYREG_PRT12_DR
.set PD_j1HY28B_iRS__INP_DIS, CYREG_PRT12_INP_DIS
.set PD_j1HY28B_iRS__MASK, 0x02
.set PD_j1HY28B_iRS__PORT, 12
.set PD_j1HY28B_iRS__PRT, CYREG_PRT12_PRT
.set PD_j1HY28B_iRS__PRTDSI__DBL_SYNC_IN, CYREG_PRT12_DBL_SYNC_IN
.set PD_j1HY28B_iRS__PRTDSI__OE_SEL0, CYREG_PRT12_OE_SEL0
.set PD_j1HY28B_iRS__PRTDSI__OE_SEL1, CYREG_PRT12_OE_SEL1
.set PD_j1HY28B_iRS__PRTDSI__OUT_SEL0, CYREG_PRT12_OUT_SEL0
.set PD_j1HY28B_iRS__PRTDSI__OUT_SEL1, CYREG_PRT12_OUT_SEL1
.set PD_j1HY28B_iRS__PRTDSI__SYNC_OUT, CYREG_PRT12_SYNC_OUT
.set PD_j1HY28B_iRS__PS, CYREG_PRT12_PS
.set PD_j1HY28B_iRS__SHIFT, 1
.set PD_j1HY28B_iRS__SIO_CFG, CYREG_PRT12_SIO_CFG
.set PD_j1HY28B_iRS__SIO_DIFF, CYREG_PRT12_SIO_DIFF
.set PD_j1HY28B_iRS__SIO_HYST_EN, CYREG_PRT12_SIO_HYST_EN
.set PD_j1HY28B_iRS__SIO_REG_HIFREQ, CYREG_PRT12_SIO_REG_HIFREQ
.set PD_j1HY28B_iRS__SLW, CYREG_PRT12_SLW

/* PD_j1HY28B_iTIRQ */
.set PD_j1HY28B_iTIRQ__0__MASK, 0x02
.set PD_j1HY28B_iTIRQ__0__PC, CYREG_PRT6_PC1
.set PD_j1HY28B_iTIRQ__0__PORT, 6
.set PD_j1HY28B_iTIRQ__0__SHIFT, 1
.set PD_j1HY28B_iTIRQ__AG, CYREG_PRT6_AG
.set PD_j1HY28B_iTIRQ__AMUX, CYREG_PRT6_AMUX
.set PD_j1HY28B_iTIRQ__BIE, CYREG_PRT6_BIE
.set PD_j1HY28B_iTIRQ__BIT_MASK, CYREG_PRT6_BIT_MASK
.set PD_j1HY28B_iTIRQ__BYP, CYREG_PRT6_BYP
.set PD_j1HY28B_iTIRQ__CTL, CYREG_PRT6_CTL
.set PD_j1HY28B_iTIRQ__DM0, CYREG_PRT6_DM0
.set PD_j1HY28B_iTIRQ__DM1, CYREG_PRT6_DM1
.set PD_j1HY28B_iTIRQ__DM2, CYREG_PRT6_DM2
.set PD_j1HY28B_iTIRQ__DR, CYREG_PRT6_DR
.set PD_j1HY28B_iTIRQ__INP_DIS, CYREG_PRT6_INP_DIS
.set PD_j1HY28B_iTIRQ__LCD_COM_SEG, CYREG_PRT6_LCD_COM_SEG
.set PD_j1HY28B_iTIRQ__LCD_EN, CYREG_PRT6_LCD_EN
.set PD_j1HY28B_iTIRQ__MASK, 0x02
.set PD_j1HY28B_iTIRQ__PORT, 6
.set PD_j1HY28B_iTIRQ__PRT, CYREG_PRT6_PRT
.set PD_j1HY28B_iTIRQ__PRTDSI__CAPS_SEL, CYREG_PRT6_CAPS_SEL
.set PD_j1HY28B_iTIRQ__PRTDSI__DBL_SYNC_IN, CYREG_PRT6_DBL_SYNC_IN
.set PD_j1HY28B_iTIRQ__PRTDSI__OE_SEL0, CYREG_PRT6_OE_SEL0
.set PD_j1HY28B_iTIRQ__PRTDSI__OE_SEL1, CYREG_PRT6_OE_SEL1
.set PD_j1HY28B_iTIRQ__PRTDSI__OUT_SEL0, CYREG_PRT6_OUT_SEL0
.set PD_j1HY28B_iTIRQ__PRTDSI__OUT_SEL1, CYREG_PRT6_OUT_SEL1
.set PD_j1HY28B_iTIRQ__PRTDSI__SYNC_OUT, CYREG_PRT6_SYNC_OUT
.set PD_j1HY28B_iTIRQ__PS, CYREG_PRT6_PS
.set PD_j1HY28B_iTIRQ__SHIFT, 1
.set PD_j1HY28B_iTIRQ__SLW, CYREG_PRT6_SLW

/* PD_j1HY28B_iTSS */
.set PD_j1HY28B_iTSS__0__MASK, 0x20
.set PD_j1HY28B_iTSS__0__PC, CYREG_IO_PC_PRT15_PC5
.set PD_j1HY28B_iTSS__0__PORT, 15
.set PD_j1HY28B_iTSS__0__SHIFT, 5
.set PD_j1HY28B_iTSS__AG, CYREG_PRT15_AG
.set PD_j1HY28B_iTSS__AMUX, CYREG_PRT15_AMUX
.set PD_j1HY28B_iTSS__BIE, CYREG_PRT15_BIE
.set PD_j1HY28B_iTSS__BIT_MASK, CYREG_PRT15_BIT_MASK
.set PD_j1HY28B_iTSS__BYP, CYREG_PRT15_BYP
.set PD_j1HY28B_iTSS__CTL, CYREG_PRT15_CTL
.set PD_j1HY28B_iTSS__DM0, CYREG_PRT15_DM0
.set PD_j1HY28B_iTSS__DM1, CYREG_PRT15_DM1
.set PD_j1HY28B_iTSS__DM2, CYREG_PRT15_DM2
.set PD_j1HY28B_iTSS__DR, CYREG_PRT15_DR
.set PD_j1HY28B_iTSS__INP_DIS, CYREG_PRT15_INP_DIS
.set PD_j1HY28B_iTSS__LCD_COM_SEG, CYREG_PRT15_LCD_COM_SEG
.set PD_j1HY28B_iTSS__LCD_EN, CYREG_PRT15_LCD_EN
.set PD_j1HY28B_iTSS__MASK, 0x20
.set PD_j1HY28B_iTSS__PORT, 15
.set PD_j1HY28B_iTSS__PRT, CYREG_PRT15_PRT
.set PD_j1HY28B_iTSS__PRTDSI__CAPS_SEL, CYREG_PRT15_CAPS_SEL
.set PD_j1HY28B_iTSS__PRTDSI__DBL_SYNC_IN, CYREG_PRT15_DBL_SYNC_IN
.set PD_j1HY28B_iTSS__PRTDSI__OE_SEL0, CYREG_PRT15_OE_SEL0
.set PD_j1HY28B_iTSS__PRTDSI__OE_SEL1, CYREG_PRT15_OE_SEL1
.set PD_j1HY28B_iTSS__PRTDSI__OUT_SEL0, CYREG_PRT15_OUT_SEL0
.set PD_j1HY28B_iTSS__PRTDSI__OUT_SEL1, CYREG_PRT15_OUT_SEL1
.set PD_j1HY28B_iTSS__PRTDSI__SYNC_OUT, CYREG_PRT15_SYNC_OUT
.set PD_j1HY28B_iTSS__PS, CYREG_PRT15_PS
.set PD_j1HY28B_iTSS__SHIFT, 5
.set PD_j1HY28B_iTSS__SLW, CYREG_PRT15_SLW

/* PD_j1HY28B_iWR_SCLK */
.set PD_j1HY28B_iWR_SCLK__0__MASK, 0x04
.set PD_j1HY28B_iWR_SCLK__0__PC, CYREG_IO_PC_PRT15_PC2
.set PD_j1HY28B_iWR_SCLK__0__PORT, 15
.set PD_j1HY28B_iWR_SCLK__0__SHIFT, 2
.set PD_j1HY28B_iWR_SCLK__AG, CYREG_PRT15_AG
.set PD_j1HY28B_iWR_SCLK__AMUX, CYREG_PRT15_AMUX
.set PD_j1HY28B_iWR_SCLK__BIE, CYREG_PRT15_BIE
.set PD_j1HY28B_iWR_SCLK__BIT_MASK, CYREG_PRT15_BIT_MASK
.set PD_j1HY28B_iWR_SCLK__BYP, CYREG_PRT15_BYP
.set PD_j1HY28B_iWR_SCLK__CTL, CYREG_PRT15_CTL
.set PD_j1HY28B_iWR_SCLK__DM0, CYREG_PRT15_DM0
.set PD_j1HY28B_iWR_SCLK__DM1, CYREG_PRT15_DM1
.set PD_j1HY28B_iWR_SCLK__DM2, CYREG_PRT15_DM2
.set PD_j1HY28B_iWR_SCLK__DR, CYREG_PRT15_DR
.set PD_j1HY28B_iWR_SCLK__INP_DIS, CYREG_PRT15_INP_DIS
.set PD_j1HY28B_iWR_SCLK__LCD_COM_SEG, CYREG_PRT15_LCD_COM_SEG
.set PD_j1HY28B_iWR_SCLK__LCD_EN, CYREG_PRT15_LCD_EN
.set PD_j1HY28B_iWR_SCLK__MASK, 0x04
.set PD_j1HY28B_iWR_SCLK__PORT, 15
.set PD_j1HY28B_iWR_SCLK__PRT, CYREG_PRT15_PRT
.set PD_j1HY28B_iWR_SCLK__PRTDSI__CAPS_SEL, CYREG_PRT15_CAPS_SEL
.set PD_j1HY28B_iWR_SCLK__PRTDSI__DBL_SYNC_IN, CYREG_PRT15_DBL_SYNC_IN
.set PD_j1HY28B_iWR_SCLK__PRTDSI__OE_SEL0, CYREG_PRT15_OE_SEL0
.set PD_j1HY28B_iWR_SCLK__PRTDSI__OE_SEL1, CYREG_PRT15_OE_SEL1
.set PD_j1HY28B_iWR_SCLK__PRTDSI__OUT_SEL0, CYREG_PRT15_OUT_SEL0
.set PD_j1HY28B_iWR_SCLK__PRTDSI__OUT_SEL1, CYREG_PRT15_OUT_SEL1
.set PD_j1HY28B_iWR_SCLK__PRTDSI__SYNC_OUT, CYREG_PRT15_SYNC_OUT
.set PD_j1HY28B_iWR_SCLK__PS, CYREG_PRT15_PS
.set PD_j1HY28B_iWR_SCLK__SHIFT, 2
.set PD_j1HY28B_iWR_SCLK__SLW, CYREG_PRT15_SLW

/* PD_LCD_BL */
.set PD_LCD_BL__0__MASK, 0x01
.set PD_LCD_BL__0__PC, CYREG_PRT6_PC0
.set PD_LCD_BL__0__PORT, 6
.set PD_LCD_BL__0__SHIFT, 0
.set PD_LCD_BL__AG, CYREG_PRT6_AG
.set PD_LCD_BL__AMUX, CYREG_PRT6_AMUX
.set PD_LCD_BL__BIE, CYREG_PRT6_BIE
.set PD_LCD_BL__BIT_MASK, CYREG_PRT6_BIT_MASK
.set PD_LCD_BL__BYP, CYREG_PRT6_BYP
.set PD_LCD_BL__CTL, CYREG_PRT6_CTL
.set PD_LCD_BL__DM0, CYREG_PRT6_DM0
.set PD_LCD_BL__DM1, CYREG_PRT6_DM1
.set PD_LCD_BL__DM2, CYREG_PRT6_DM2
.set PD_LCD_BL__DR, CYREG_PRT6_DR
.set PD_LCD_BL__INP_DIS, CYREG_PRT6_INP_DIS
.set PD_LCD_BL__LCD_COM_SEG, CYREG_PRT6_LCD_COM_SEG
.set PD_LCD_BL__LCD_EN, CYREG_PRT6_LCD_EN
.set PD_LCD_BL__MASK, 0x01
.set PD_LCD_BL__PORT, 6
.set PD_LCD_BL__PRT, CYREG_PRT6_PRT
.set PD_LCD_BL__PRTDSI__CAPS_SEL, CYREG_PRT6_CAPS_SEL
.set PD_LCD_BL__PRTDSI__DBL_SYNC_IN, CYREG_PRT6_DBL_SYNC_IN
.set PD_LCD_BL__PRTDSI__OE_SEL0, CYREG_PRT6_OE_SEL0
.set PD_LCD_BL__PRTDSI__OE_SEL1, CYREG_PRT6_OE_SEL1
.set PD_LCD_BL__PRTDSI__OUT_SEL0, CYREG_PRT6_OUT_SEL0
.set PD_LCD_BL__PRTDSI__OUT_SEL1, CYREG_PRT6_OUT_SEL1
.set PD_LCD_BL__PRTDSI__SYNC_OUT, CYREG_PRT6_SYNC_OUT
.set PD_LCD_BL__PS, CYREG_PRT6_PS
.set PD_LCD_BL__SHIFT, 0
.set PD_LCD_BL__SLW, CYREG_PRT6_SLW

/* PD_microSD_iSPIM_BSPIM */
.set PD_microSD_iSPIM_BSPIM_BitCounter__16BIT_CONTROL_AUX_CTL_REG, CYREG_B0_UDB02_03_ACTL
.set PD_microSD_iSPIM_BSPIM_BitCounter__16BIT_CONTROL_CONTROL_REG, CYREG_B0_UDB02_03_CTL
.set PD_microSD_iSPIM_BSPIM_BitCounter__16BIT_CONTROL_COUNT_REG, CYREG_B0_UDB02_03_CTL
.set PD_microSD_iSPIM_BSPIM_BitCounter__16BIT_COUNT_CONTROL_REG, CYREG_B0_UDB02_03_CTL
.set PD_microSD_iSPIM_BSPIM_BitCounter__16BIT_COUNT_COUNT_REG, CYREG_B0_UDB02_03_CTL
.set PD_microSD_iSPIM_BSPIM_BitCounter__16BIT_MASK_MASK_REG, CYREG_B0_UDB02_03_MSK
.set PD_microSD_iSPIM_BSPIM_BitCounter__16BIT_MASK_PERIOD_REG, CYREG_B0_UDB02_03_MSK
.set PD_microSD_iSPIM_BSPIM_BitCounter__16BIT_PERIOD_MASK_REG, CYREG_B0_UDB02_03_MSK
.set PD_microSD_iSPIM_BSPIM_BitCounter__16BIT_PERIOD_PERIOD_REG, CYREG_B0_UDB02_03_MSK
.set PD_microSD_iSPIM_BSPIM_BitCounter__CONTROL_AUX_CTL_REG, CYREG_B0_UDB02_ACTL
.set PD_microSD_iSPIM_BSPIM_BitCounter__CONTROL_REG, CYREG_B0_UDB02_CTL
.set PD_microSD_iSPIM_BSPIM_BitCounter__CONTROL_ST_REG, CYREG_B0_UDB02_ST_CTL
.set PD_microSD_iSPIM_BSPIM_BitCounter__COUNT_REG, CYREG_B0_UDB02_CTL
.set PD_microSD_iSPIM_BSPIM_BitCounter__COUNT_ST_REG, CYREG_B0_UDB02_ST_CTL
.set PD_microSD_iSPIM_BSPIM_BitCounter__MASK_CTL_AUX_CTL_REG, CYREG_B0_UDB02_MSK_ACTL
.set PD_microSD_iSPIM_BSPIM_BitCounter__PER_CTL_AUX_CTL_REG, CYREG_B0_UDB02_MSK_ACTL
.set PD_microSD_iSPIM_BSPIM_BitCounter__PERIOD_REG, CYREG_B0_UDB02_MSK
.set PD_microSD_iSPIM_BSPIM_BitCounter_ST__16BIT_STATUS_AUX_CTL_REG, CYREG_B0_UDB02_03_ACTL
.set PD_microSD_iSPIM_BSPIM_BitCounter_ST__16BIT_STATUS_REG, CYREG_B0_UDB02_03_ST
.set PD_microSD_iSPIM_BSPIM_BitCounter_ST__MASK_REG, CYREG_B0_UDB02_MSK
.set PD_microSD_iSPIM_BSPIM_BitCounter_ST__MASK_ST_AUX_CTL_REG, CYREG_B0_UDB02_MSK_ACTL
.set PD_microSD_iSPIM_BSPIM_BitCounter_ST__PER_ST_AUX_CTL_REG, CYREG_B0_UDB02_MSK_ACTL
.set PD_microSD_iSPIM_BSPIM_BitCounter_ST__STATUS_AUX_CTL_REG, CYREG_B0_UDB02_ACTL
.set PD_microSD_iSPIM_BSPIM_BitCounter_ST__STATUS_CNT_REG, CYREG_B0_UDB02_ST_CTL
.set PD_microSD_iSPIM_BSPIM_BitCounter_ST__STATUS_CONTROL_REG, CYREG_B0_UDB02_ST_CTL
.set PD_microSD_iSPIM_BSPIM_BitCounter_ST__STATUS_REG, CYREG_B0_UDB02_ST
.set PD_microSD_iSPIM_BSPIM_RxStsReg__16BIT_STATUS_AUX_CTL_REG, CYREG_B0_UDB04_05_ACTL
.set PD_microSD_iSPIM_BSPIM_RxStsReg__16BIT_STATUS_REG, CYREG_B0_UDB04_05_ST
.set PD_microSD_iSPIM_BSPIM_RxStsReg__4__MASK, 0x10
.set PD_microSD_iSPIM_BSPIM_RxStsReg__4__POS, 4
.set PD_microSD_iSPIM_BSPIM_RxStsReg__5__MASK, 0x20
.set PD_microSD_iSPIM_BSPIM_RxStsReg__5__POS, 5
.set PD_microSD_iSPIM_BSPIM_RxStsReg__6__MASK, 0x40
.set PD_microSD_iSPIM_BSPIM_RxStsReg__6__POS, 6
.set PD_microSD_iSPIM_BSPIM_RxStsReg__MASK, 0x70
.set PD_microSD_iSPIM_BSPIM_RxStsReg__MASK_REG, CYREG_B0_UDB04_MSK
.set PD_microSD_iSPIM_BSPIM_RxStsReg__STATUS_AUX_CTL_REG, CYREG_B0_UDB04_ACTL
.set PD_microSD_iSPIM_BSPIM_RxStsReg__STATUS_REG, CYREG_B0_UDB04_ST
.set PD_microSD_iSPIM_BSPIM_sR8_Dp_u0__16BIT_A0_REG, CYREG_B0_UDB02_03_A0
.set PD_microSD_iSPIM_BSPIM_sR8_Dp_u0__16BIT_A1_REG, CYREG_B0_UDB02_03_A1
.set PD_microSD_iSPIM_BSPIM_sR8_Dp_u0__16BIT_D0_REG, CYREG_B0_UDB02_03_D0
.set PD_microSD_iSPIM_BSPIM_sR8_Dp_u0__16BIT_D1_REG, CYREG_B0_UDB02_03_D1
.set PD_microSD_iSPIM_BSPIM_sR8_Dp_u0__16BIT_DP_AUX_CTL_REG, CYREG_B0_UDB02_03_ACTL
.set PD_microSD_iSPIM_BSPIM_sR8_Dp_u0__16BIT_F0_REG, CYREG_B0_UDB02_03_F0
.set PD_microSD_iSPIM_BSPIM_sR8_Dp_u0__16BIT_F1_REG, CYREG_B0_UDB02_03_F1
.set PD_microSD_iSPIM_BSPIM_sR8_Dp_u0__A0_A1_REG, CYREG_B0_UDB02_A0_A1
.set PD_microSD_iSPIM_BSPIM_sR8_Dp_u0__A0_REG, CYREG_B0_UDB02_A0
.set PD_microSD_iSPIM_BSPIM_sR8_Dp_u0__A1_REG, CYREG_B0_UDB02_A1
.set PD_microSD_iSPIM_BSPIM_sR8_Dp_u0__D0_D1_REG, CYREG_B0_UDB02_D0_D1
.set PD_microSD_iSPIM_BSPIM_sR8_Dp_u0__D0_REG, CYREG_B0_UDB02_D0
.set PD_microSD_iSPIM_BSPIM_sR8_Dp_u0__D1_REG, CYREG_B0_UDB02_D1
.set PD_microSD_iSPIM_BSPIM_sR8_Dp_u0__DP_AUX_CTL_REG, CYREG_B0_UDB02_ACTL
.set PD_microSD_iSPIM_BSPIM_sR8_Dp_u0__F0_F1_REG, CYREG_B0_UDB02_F0_F1
.set PD_microSD_iSPIM_BSPIM_sR8_Dp_u0__F0_REG, CYREG_B0_UDB02_F0
.set PD_microSD_iSPIM_BSPIM_sR8_Dp_u0__F1_REG, CYREG_B0_UDB02_F1
.set PD_microSD_iSPIM_BSPIM_sR8_Dp_u0__MSK_DP_AUX_CTL_REG, CYREG_B0_UDB02_MSK_ACTL
.set PD_microSD_iSPIM_BSPIM_sR8_Dp_u0__PER_DP_AUX_CTL_REG, CYREG_B0_UDB02_MSK_ACTL
.set PD_microSD_iSPIM_BSPIM_TxStsReg__0__MASK, 0x01
.set PD_microSD_iSPIM_BSPIM_TxStsReg__0__POS, 0
.set PD_microSD_iSPIM_BSPIM_TxStsReg__1__MASK, 0x02
.set PD_microSD_iSPIM_BSPIM_TxStsReg__1__POS, 1
.set PD_microSD_iSPIM_BSPIM_TxStsReg__16BIT_STATUS_AUX_CTL_REG, CYREG_B0_UDB05_06_ACTL
.set PD_microSD_iSPIM_BSPIM_TxStsReg__16BIT_STATUS_REG, CYREG_B0_UDB05_06_ST
.set PD_microSD_iSPIM_BSPIM_TxStsReg__2__MASK, 0x04
.set PD_microSD_iSPIM_BSPIM_TxStsReg__2__POS, 2
.set PD_microSD_iSPIM_BSPIM_TxStsReg__3__MASK, 0x08
.set PD_microSD_iSPIM_BSPIM_TxStsReg__3__POS, 3
.set PD_microSD_iSPIM_BSPIM_TxStsReg__4__MASK, 0x10
.set PD_microSD_iSPIM_BSPIM_TxStsReg__4__POS, 4
.set PD_microSD_iSPIM_BSPIM_TxStsReg__MASK, 0x1F
.set PD_microSD_iSPIM_BSPIM_TxStsReg__MASK_REG, CYREG_B0_UDB05_MSK
.set PD_microSD_iSPIM_BSPIM_TxStsReg__MASK_ST_AUX_CTL_REG, CYREG_B0_UDB05_MSK_ACTL
.set PD_microSD_iSPIM_BSPIM_TxStsReg__PER_ST_AUX_CTL_REG, CYREG_B0_UDB05_MSK_ACTL
.set PD_microSD_iSPIM_BSPIM_TxStsReg__STATUS_AUX_CTL_REG, CYREG_B0_UDB05_ACTL
.set PD_microSD_iSPIM_BSPIM_TxStsReg__STATUS_CNT_REG, CYREG_B0_UDB05_ST_CTL
.set PD_microSD_iSPIM_BSPIM_TxStsReg__STATUS_CONTROL_REG, CYREG_B0_UDB05_ST_CTL
.set PD_microSD_iSPIM_BSPIM_TxStsReg__STATUS_REG, CYREG_B0_UDB05_ST

/* PD_SD_CLK2X */
.set PD_SD_CLK2X__CFG0, CYREG_CLKDIST_DCFG0_CFG0
.set PD_SD_CLK2X__CFG1, CYREG_CLKDIST_DCFG0_CFG1
.set PD_SD_CLK2X__CFG2, CYREG_CLKDIST_DCFG0_CFG2
.set PD_SD_CLK2X__CFG2_SRC_SEL_MASK, 0x07
.set PD_SD_CLK2X__INDEX, 0x00
.set PD_SD_CLK2X__PM_ACT_CFG, CYREG_PM_ACT_CFG2
.set PD_SD_CLK2X__PM_ACT_MSK, 0x01
.set PD_SD_CLK2X__PM_STBY_CFG, CYREG_PM_STBY_CFG2
.set PD_SD_CLK2X__PM_STBY_MSK, 0x01

/* PD_SD_MISO */
.set PD_SD_MISO__0__MASK, 0x08
.set PD_SD_MISO__0__PC, CYREG_PRT12_PC3
.set PD_SD_MISO__0__PORT, 12
.set PD_SD_MISO__0__SHIFT, 3
.set PD_SD_MISO__AG, CYREG_PRT12_AG
.set PD_SD_MISO__BIE, CYREG_PRT12_BIE
.set PD_SD_MISO__BIT_MASK, CYREG_PRT12_BIT_MASK
.set PD_SD_MISO__BYP, CYREG_PRT12_BYP
.set PD_SD_MISO__DM0, CYREG_PRT12_DM0
.set PD_SD_MISO__DM1, CYREG_PRT12_DM1
.set PD_SD_MISO__DM2, CYREG_PRT12_DM2
.set PD_SD_MISO__DR, CYREG_PRT12_DR
.set PD_SD_MISO__INP_DIS, CYREG_PRT12_INP_DIS
.set PD_SD_MISO__MASK, 0x08
.set PD_SD_MISO__PORT, 12
.set PD_SD_MISO__PRT, CYREG_PRT12_PRT
.set PD_SD_MISO__PRTDSI__DBL_SYNC_IN, CYREG_PRT12_DBL_SYNC_IN
.set PD_SD_MISO__PRTDSI__OE_SEL0, CYREG_PRT12_OE_SEL0
.set PD_SD_MISO__PRTDSI__OE_SEL1, CYREG_PRT12_OE_SEL1
.set PD_SD_MISO__PRTDSI__OUT_SEL0, CYREG_PRT12_OUT_SEL0
.set PD_SD_MISO__PRTDSI__OUT_SEL1, CYREG_PRT12_OUT_SEL1
.set PD_SD_MISO__PRTDSI__SYNC_OUT, CYREG_PRT12_SYNC_OUT
.set PD_SD_MISO__PS, CYREG_PRT12_PS
.set PD_SD_MISO__SHIFT, 3
.set PD_SD_MISO__SIO_CFG, CYREG_PRT12_SIO_CFG
.set PD_SD_MISO__SIO_DIFF, CYREG_PRT12_SIO_DIFF
.set PD_SD_MISO__SIO_HYST_EN, CYREG_PRT12_SIO_HYST_EN
.set PD_SD_MISO__SIO_REG_HIFREQ, CYREG_PRT12_SIO_REG_HIFREQ
.set PD_SD_MISO__SLW, CYREG_PRT12_SLW

/* PD_SD_MOSI */
.set PD_SD_MOSI__0__MASK, 0x20
.set PD_SD_MOSI__0__PC, CYREG_PRT12_PC5
.set PD_SD_MOSI__0__PORT, 12
.set PD_SD_MOSI__0__SHIFT, 5
.set PD_SD_MOSI__AG, CYREG_PRT12_AG
.set PD_SD_MOSI__BIE, CYREG_PRT12_BIE
.set PD_SD_MOSI__BIT_MASK, CYREG_PRT12_BIT_MASK
.set PD_SD_MOSI__BYP, CYREG_PRT12_BYP
.set PD_SD_MOSI__DM0, CYREG_PRT12_DM0
.set PD_SD_MOSI__DM1, CYREG_PRT12_DM1
.set PD_SD_MOSI__DM2, CYREG_PRT12_DM2
.set PD_SD_MOSI__DR, CYREG_PRT12_DR
.set PD_SD_MOSI__INP_DIS, CYREG_PRT12_INP_DIS
.set PD_SD_MOSI__MASK, 0x20
.set PD_SD_MOSI__PORT, 12
.set PD_SD_MOSI__PRT, CYREG_PRT12_PRT
.set PD_SD_MOSI__PRTDSI__DBL_SYNC_IN, CYREG_PRT12_DBL_SYNC_IN
.set PD_SD_MOSI__PRTDSI__OE_SEL0, CYREG_PRT12_OE_SEL0
.set PD_SD_MOSI__PRTDSI__OE_SEL1, CYREG_PRT12_OE_SEL1
.set PD_SD_MOSI__PRTDSI__OUT_SEL0, CYREG_PRT12_OUT_SEL0
.set PD_SD_MOSI__PRTDSI__OUT_SEL1, CYREG_PRT12_OUT_SEL1
.set PD_SD_MOSI__PRTDSI__SYNC_OUT, CYREG_PRT12_SYNC_OUT
.set PD_SD_MOSI__PS, CYREG_PRT12_PS
.set PD_SD_MOSI__SHIFT, 5
.set PD_SD_MOSI__SIO_CFG, CYREG_PRT12_SIO_CFG
.set PD_SD_MOSI__SIO_DIFF, CYREG_PRT12_SIO_DIFF
.set PD_SD_MOSI__SIO_HYST_EN, CYREG_PRT12_SIO_HYST_EN
.set PD_SD_MOSI__SIO_REG_HIFREQ, CYREG_PRT12_SIO_REG_HIFREQ
.set PD_SD_MOSI__SLW, CYREG_PRT12_SLW

/* PD_SD_SCLK */
.set PD_SD_SCLK__0__MASK, 0x04
.set PD_SD_SCLK__0__PC, CYREG_PRT12_PC2
.set PD_SD_SCLK__0__PORT, 12
.set PD_SD_SCLK__0__SHIFT, 2
.set PD_SD_SCLK__AG, CYREG_PRT12_AG
.set PD_SD_SCLK__BIE, CYREG_PRT12_BIE
.set PD_SD_SCLK__BIT_MASK, CYREG_PRT12_BIT_MASK
.set PD_SD_SCLK__BYP, CYREG_PRT12_BYP
.set PD_SD_SCLK__DM0, CYREG_PRT12_DM0
.set PD_SD_SCLK__DM1, CYREG_PRT12_DM1
.set PD_SD_SCLK__DM2, CYREG_PRT12_DM2
.set PD_SD_SCLK__DR, CYREG_PRT12_DR
.set PD_SD_SCLK__INP_DIS, CYREG_PRT12_INP_DIS
.set PD_SD_SCLK__MASK, 0x04
.set PD_SD_SCLK__PORT, 12
.set PD_SD_SCLK__PRT, CYREG_PRT12_PRT
.set PD_SD_SCLK__PRTDSI__DBL_SYNC_IN, CYREG_PRT12_DBL_SYNC_IN
.set PD_SD_SCLK__PRTDSI__OE_SEL0, CYREG_PRT12_OE_SEL0
.set PD_SD_SCLK__PRTDSI__OE_SEL1, CYREG_PRT12_OE_SEL1
.set PD_SD_SCLK__PRTDSI__OUT_SEL0, CYREG_PRT12_OUT_SEL0
.set PD_SD_SCLK__PRTDSI__OUT_SEL1, CYREG_PRT12_OUT_SEL1
.set PD_SD_SCLK__PRTDSI__SYNC_OUT, CYREG_PRT12_SYNC_OUT
.set PD_SD_SCLK__PS, CYREG_PRT12_PS
.set PD_SD_SCLK__SHIFT, 2
.set PD_SD_SCLK__SIO_CFG, CYREG_PRT12_SIO_CFG
.set PD_SD_SCLK__SIO_DIFF, CYREG_PRT12_SIO_DIFF
.set PD_SD_SCLK__SIO_HYST_EN, CYREG_PRT12_SIO_HYST_EN
.set PD_SD_SCLK__SIO_REG_HIFREQ, CYREG_PRT12_SIO_REG_HIFREQ
.set PD_SD_SCLK__SLW, CYREG_PRT12_SLW

/* PD_SD_SS */
.set PD_SD_SS__0__MASK, 0x10
.set PD_SD_SS__0__PC, CYREG_PRT12_PC4
.set PD_SD_SS__0__PORT, 12
.set PD_SD_SS__0__SHIFT, 4
.set PD_SD_SS__AG, CYREG_PRT12_AG
.set PD_SD_SS__BIE, CYREG_PRT12_BIE
.set PD_SD_SS__BIT_MASK, CYREG_PRT12_BIT_MASK
.set PD_SD_SS__BYP, CYREG_PRT12_BYP
.set PD_SD_SS__DM0, CYREG_PRT12_DM0
.set PD_SD_SS__DM1, CYREG_PRT12_DM1
.set PD_SD_SS__DM2, CYREG_PRT12_DM2
.set PD_SD_SS__DR, CYREG_PRT12_DR
.set PD_SD_SS__INP_DIS, CYREG_PRT12_INP_DIS
.set PD_SD_SS__MASK, 0x10
.set PD_SD_SS__PORT, 12
.set PD_SD_SS__PRT, CYREG_PRT12_PRT
.set PD_SD_SS__PRTDSI__DBL_SYNC_IN, CYREG_PRT12_DBL_SYNC_IN
.set PD_SD_SS__PRTDSI__OE_SEL0, CYREG_PRT12_OE_SEL0
.set PD_SD_SS__PRTDSI__OE_SEL1, CYREG_PRT12_OE_SEL1
.set PD_SD_SS__PRTDSI__OUT_SEL0, CYREG_PRT12_OUT_SEL0
.set PD_SD_SS__PRTDSI__OUT_SEL1, CYREG_PRT12_OUT_SEL1
.set PD_SD_SS__PRTDSI__SYNC_OUT, CYREG_PRT12_SYNC_OUT
.set PD_SD_SS__PS, CYREG_PRT12_PS
.set PD_SD_SS__SHIFT, 4
.set PD_SD_SS__SIO_CFG, CYREG_PRT12_SIO_CFG
.set PD_SD_SS__SIO_DIFF, CYREG_PRT12_SIO_DIFF
.set PD_SD_SS__SIO_HYST_EN, CYREG_PRT12_SIO_HYST_EN
.set PD_SD_SS__SIO_REG_HIFREQ, CYREG_PRT12_SIO_REG_HIFREQ
.set PD_SD_SS__SLW, CYREG_PRT12_SLW

/* PD_TickTimer_clock */
.set PD_TickTimer_clock__CFG0, CYREG_CLKDIST_DCFG1_CFG0
.set PD_TickTimer_clock__CFG1, CYREG_CLKDIST_DCFG1_CFG1
.set PD_TickTimer_clock__CFG2, CYREG_CLKDIST_DCFG1_CFG2
.set PD_TickTimer_clock__CFG2_SRC_SEL_MASK, 0x07
.set PD_TickTimer_clock__INDEX, 0x01
.set PD_TickTimer_clock__PM_ACT_CFG, CYREG_PM_ACT_CFG2
.set PD_TickTimer_clock__PM_ACT_MSK, 0x02
.set PD_TickTimer_clock__PM_STBY_CFG, CYREG_PM_STBY_CFG2
.set PD_TickTimer_clock__PM_STBY_MSK, 0x02

/* PD_TickTimer_TimerHW */
.set PD_TickTimer_TimerHW__CAP0, CYREG_TMR0_CAP0
.set PD_TickTimer_TimerHW__CAP1, CYREG_TMR0_CAP1
.set PD_TickTimer_TimerHW__CFG0, CYREG_TMR0_CFG0
.set PD_TickTimer_TimerHW__CFG1, CYREG_TMR0_CFG1
.set PD_TickTimer_TimerHW__CFG2, CYREG_TMR0_CFG2
.set PD_TickTimer_TimerHW__CNT_CMP0, CYREG_TMR0_CNT_CMP0
.set PD_TickTimer_TimerHW__CNT_CMP1, CYREG_TMR0_CNT_CMP1
.set PD_TickTimer_TimerHW__PER0, CYREG_TMR0_PER0
.set PD_TickTimer_TimerHW__PER1, CYREG_TMR0_PER1
.set PD_TickTimer_TimerHW__PM_ACT_CFG, CYREG_PM_ACT_CFG3
.set PD_TickTimer_TimerHW__PM_ACT_MSK, 0x01
.set PD_TickTimer_TimerHW__PM_STBY_CFG, CYREG_PM_STBY_CFG3
.set PD_TickTimer_TimerHW__PM_STBY_MSK, 0x01
.set PD_TickTimer_TimerHW__RT0, CYREG_TMR0_RT0
.set PD_TickTimer_TimerHW__RT1, CYREG_TMR0_RT1
.set PD_TickTimer_TimerHW__SR0, CYREG_TMR0_SR0

/* PD_USBFS_arb_int */
.set PD_USBFS_arb_int__INTC_CLR_EN_REG, CYREG_NVIC_CLRENA0
.set PD_USBFS_arb_int__INTC_CLR_PD_REG, CYREG_NVIC_CLRPEND0
.set PD_USBFS_arb_int__INTC_MASK, 0x400000
.set PD_USBFS_arb_int__INTC_NUMBER, 22
.set PD_USBFS_arb_int__INTC_PRIOR_NUM, 7
.set PD_USBFS_arb_int__INTC_PRIOR_REG, CYREG_NVIC_PRI_22
.set PD_USBFS_arb_int__INTC_SET_EN_REG, CYREG_NVIC_SETENA0
.set PD_USBFS_arb_int__INTC_SET_PD_REG, CYREG_NVIC_SETPEND0

/* PD_USBFS_bus_reset */
.set PD_USBFS_bus_reset__INTC_CLR_EN_REG, CYREG_NVIC_CLRENA0
.set PD_USBFS_bus_reset__INTC_CLR_PD_REG, CYREG_NVIC_CLRPEND0
.set PD_USBFS_bus_reset__INTC_MASK, 0x800000
.set PD_USBFS_bus_reset__INTC_NUMBER, 23
.set PD_USBFS_bus_reset__INTC_PRIOR_NUM, 7
.set PD_USBFS_bus_reset__INTC_PRIOR_REG, CYREG_NVIC_PRI_23
.set PD_USBFS_bus_reset__INTC_SET_EN_REG, CYREG_NVIC_SETENA0
.set PD_USBFS_bus_reset__INTC_SET_PD_REG, CYREG_NVIC_SETPEND0

/* PD_USBFS_Dm */
.set PD_USBFS_Dm__0__MASK, 0x80
.set PD_USBFS_Dm__0__PC, CYREG_IO_PC_PRT15_7_6_PC1
.set PD_USBFS_Dm__0__PORT, 15
.set PD_USBFS_Dm__0__SHIFT, 7
.set PD_USBFS_Dm__AG, CYREG_PRT15_AG
.set PD_USBFS_Dm__AMUX, CYREG_PRT15_AMUX
.set PD_USBFS_Dm__BIE, CYREG_PRT15_BIE
.set PD_USBFS_Dm__BIT_MASK, CYREG_PRT15_BIT_MASK
.set PD_USBFS_Dm__BYP, CYREG_PRT15_BYP
.set PD_USBFS_Dm__CTL, CYREG_PRT15_CTL
.set PD_USBFS_Dm__DM0, CYREG_PRT15_DM0
.set PD_USBFS_Dm__DM1, CYREG_PRT15_DM1
.set PD_USBFS_Dm__DM2, CYREG_PRT15_DM2
.set PD_USBFS_Dm__DR, CYREG_PRT15_DR
.set PD_USBFS_Dm__INP_DIS, CYREG_PRT15_INP_DIS
.set PD_USBFS_Dm__LCD_COM_SEG, CYREG_PRT15_LCD_COM_SEG
.set PD_USBFS_Dm__LCD_EN, CYREG_PRT15_LCD_EN
.set PD_USBFS_Dm__MASK, 0x80
.set PD_USBFS_Dm__PORT, 15
.set PD_USBFS_Dm__PRT, CYREG_PRT15_PRT
.set PD_USBFS_Dm__PRTDSI__CAPS_SEL, CYREG_PRT15_CAPS_SEL
.set PD_USBFS_Dm__PRTDSI__DBL_SYNC_IN, CYREG_PRT15_DBL_SYNC_IN
.set PD_USBFS_Dm__PRTDSI__OE_SEL0, CYREG_PRT15_OE_SEL0
.set PD_USBFS_Dm__PRTDSI__OE_SEL1, CYREG_PRT15_OE_SEL1
.set PD_USBFS_Dm__PRTDSI__OUT_SEL0, CYREG_PRT15_OUT_SEL0
.set PD_USBFS_Dm__PRTDSI__OUT_SEL1, CYREG_PRT15_OUT_SEL1
.set PD_USBFS_Dm__PRTDSI__SYNC_OUT, CYREG_PRT15_SYNC_OUT
.set PD_USBFS_Dm__PS, CYREG_PRT15_PS
.set PD_USBFS_Dm__SHIFT, 7
.set PD_USBFS_Dm__SLW, CYREG_PRT15_SLW

/* PD_USBFS_Dp */
.set PD_USBFS_Dp__0__MASK, 0x40
.set PD_USBFS_Dp__0__PC, CYREG_IO_PC_PRT15_7_6_PC0
.set PD_USBFS_Dp__0__PORT, 15
.set PD_USBFS_Dp__0__SHIFT, 6
.set PD_USBFS_Dp__AG, CYREG_PRT15_AG
.set PD_USBFS_Dp__AMUX, CYREG_PRT15_AMUX
.set PD_USBFS_Dp__BIE, CYREG_PRT15_BIE
.set PD_USBFS_Dp__BIT_MASK, CYREG_PRT15_BIT_MASK
.set PD_USBFS_Dp__BYP, CYREG_PRT15_BYP
.set PD_USBFS_Dp__CTL, CYREG_PRT15_CTL
.set PD_USBFS_Dp__DM0, CYREG_PRT15_DM0
.set PD_USBFS_Dp__DM1, CYREG_PRT15_DM1
.set PD_USBFS_Dp__DM2, CYREG_PRT15_DM2
.set PD_USBFS_Dp__DR, CYREG_PRT15_DR
.set PD_USBFS_Dp__INP_DIS, CYREG_PRT15_INP_DIS
.set PD_USBFS_Dp__INTSTAT, CYREG_PICU15_INTSTAT
.set PD_USBFS_Dp__LCD_COM_SEG, CYREG_PRT15_LCD_COM_SEG
.set PD_USBFS_Dp__LCD_EN, CYREG_PRT15_LCD_EN
.set PD_USBFS_Dp__MASK, 0x40
.set PD_USBFS_Dp__PORT, 15
.set PD_USBFS_Dp__PRT, CYREG_PRT15_PRT
.set PD_USBFS_Dp__PRTDSI__CAPS_SEL, CYREG_PRT15_CAPS_SEL
.set PD_USBFS_Dp__PRTDSI__DBL_SYNC_IN, CYREG_PRT15_DBL_SYNC_IN
.set PD_USBFS_Dp__PRTDSI__OE_SEL0, CYREG_PRT15_OE_SEL0
.set PD_USBFS_Dp__PRTDSI__OE_SEL1, CYREG_PRT15_OE_SEL1
.set PD_USBFS_Dp__PRTDSI__OUT_SEL0, CYREG_PRT15_OUT_SEL0
.set PD_USBFS_Dp__PRTDSI__OUT_SEL1, CYREG_PRT15_OUT_SEL1
.set PD_USBFS_Dp__PRTDSI__SYNC_OUT, CYREG_PRT15_SYNC_OUT
.set PD_USBFS_Dp__PS, CYREG_PRT15_PS
.set PD_USBFS_Dp__SHIFT, 6
.set PD_USBFS_Dp__SLW, CYREG_PRT15_SLW
.set PD_USBFS_Dp__SNAP, CYREG_PICU_15_SNAP_15

/* PD_USBFS_dp_int */
.set PD_USBFS_dp_int__INTC_CLR_EN_REG, CYREG_NVIC_CLRENA0
.set PD_USBFS_dp_int__INTC_CLR_PD_REG, CYREG_NVIC_CLRPEND0
.set PD_USBFS_dp_int__INTC_MASK, 0x1000
.set PD_USBFS_dp_int__INTC_NUMBER, 12
.set PD_USBFS_dp_int__INTC_PRIOR_NUM, 7
.set PD_USBFS_dp_int__INTC_PRIOR_REG, CYREG_NVIC_PRI_12
.set PD_USBFS_dp_int__INTC_SET_EN_REG, CYREG_NVIC_SETENA0
.set PD_USBFS_dp_int__INTC_SET_PD_REG, CYREG_NVIC_SETPEND0

/* PD_USBFS_ep_0 */
.set PD_USBFS_ep_0__INTC_CLR_EN_REG, CYREG_NVIC_CLRENA0
.set PD_USBFS_ep_0__INTC_CLR_PD_REG, CYREG_NVIC_CLRPEND0
.set PD_USBFS_ep_0__INTC_MASK, 0x1000000
.set PD_USBFS_ep_0__INTC_NUMBER, 24
.set PD_USBFS_ep_0__INTC_PRIOR_NUM, 7
.set PD_USBFS_ep_0__INTC_PRIOR_REG, CYREG_NVIC_PRI_24
.set PD_USBFS_ep_0__INTC_SET_EN_REG, CYREG_NVIC_SETENA0
.set PD_USBFS_ep_0__INTC_SET_PD_REG, CYREG_NVIC_SETPEND0

/* PD_USBFS_ep_1 */
.set PD_USBFS_ep_1__INTC_CLR_EN_REG, CYREG_NVIC_CLRENA0
.set PD_USBFS_ep_1__INTC_CLR_PD_REG, CYREG_NVIC_CLRPEND0
.set PD_USBFS_ep_1__INTC_MASK, 0x01
.set PD_USBFS_ep_1__INTC_NUMBER, 0
.set PD_USBFS_ep_1__INTC_PRIOR_NUM, 7
.set PD_USBFS_ep_1__INTC_PRIOR_REG, CYREG_NVIC_PRI_0
.set PD_USBFS_ep_1__INTC_SET_EN_REG, CYREG_NVIC_SETENA0
.set PD_USBFS_ep_1__INTC_SET_PD_REG, CYREG_NVIC_SETPEND0

/* PD_USBFS_ep_2 */
.set PD_USBFS_ep_2__INTC_CLR_EN_REG, CYREG_NVIC_CLRENA0
.set PD_USBFS_ep_2__INTC_CLR_PD_REG, CYREG_NVIC_CLRPEND0
.set PD_USBFS_ep_2__INTC_MASK, 0x02
.set PD_USBFS_ep_2__INTC_NUMBER, 1
.set PD_USBFS_ep_2__INTC_PRIOR_NUM, 7
.set PD_USBFS_ep_2__INTC_PRIOR_REG, CYREG_NVIC_PRI_1
.set PD_USBFS_ep_2__INTC_SET_EN_REG, CYREG_NVIC_SETENA0
.set PD_USBFS_ep_2__INTC_SET_PD_REG, CYREG_NVIC_SETPEND0

/* PD_USBFS_sof_int */
.set PD_USBFS_sof_int__INTC_CLR_EN_REG, CYREG_NVIC_CLRENA0
.set PD_USBFS_sof_int__INTC_CLR_PD_REG, CYREG_NVIC_CLRPEND0
.set PD_USBFS_sof_int__INTC_MASK, 0x200000
.set PD_USBFS_sof_int__INTC_NUMBER, 21
.set PD_USBFS_sof_int__INTC_PRIOR_NUM, 7
.set PD_USBFS_sof_int__INTC_PRIOR_REG, CYREG_NVIC_PRI_21
.set PD_USBFS_sof_int__INTC_SET_EN_REG, CYREG_NVIC_SETENA0
.set PD_USBFS_sof_int__INTC_SET_PD_REG, CYREG_NVIC_SETPEND0

/* PD_USBFS_USB */
.set PD_USBFS_USB__ARB_CFG, CYREG_USB_ARB_CFG
.set PD_USBFS_USB__ARB_EP1_CFG, CYREG_USB_ARB_EP1_CFG
.set PD_USBFS_USB__ARB_EP1_INT_EN, CYREG_USB_ARB_EP1_INT_EN
.set PD_USBFS_USB__ARB_EP1_SR, CYREG_USB_ARB_EP1_SR
.set PD_USBFS_USB__ARB_EP2_CFG, CYREG_USB_ARB_EP2_CFG
.set PD_USBFS_USB__ARB_EP2_INT_EN, CYREG_USB_ARB_EP2_INT_EN
.set PD_USBFS_USB__ARB_EP2_SR, CYREG_USB_ARB_EP2_SR
.set PD_USBFS_USB__ARB_EP3_CFG, CYREG_USB_ARB_EP3_CFG
.set PD_USBFS_USB__ARB_EP3_INT_EN, CYREG_USB_ARB_EP3_INT_EN
.set PD_USBFS_USB__ARB_EP3_SR, CYREG_USB_ARB_EP3_SR
.set PD_USBFS_USB__ARB_EP4_CFG, CYREG_USB_ARB_EP4_CFG
.set PD_USBFS_USB__ARB_EP4_INT_EN, CYREG_USB_ARB_EP4_INT_EN
.set PD_USBFS_USB__ARB_EP4_SR, CYREG_USB_ARB_EP4_SR
.set PD_USBFS_USB__ARB_EP5_CFG, CYREG_USB_ARB_EP5_CFG
.set PD_USBFS_USB__ARB_EP5_INT_EN, CYREG_USB_ARB_EP5_INT_EN
.set PD_USBFS_USB__ARB_EP5_SR, CYREG_USB_ARB_EP5_SR
.set PD_USBFS_USB__ARB_EP6_CFG, CYREG_USB_ARB_EP6_CFG
.set PD_USBFS_USB__ARB_EP6_INT_EN, CYREG_USB_ARB_EP6_INT_EN
.set PD_USBFS_USB__ARB_EP6_SR, CYREG_USB_ARB_EP6_SR
.set PD_USBFS_USB__ARB_EP7_CFG, CYREG_USB_ARB_EP7_CFG
.set PD_USBFS_USB__ARB_EP7_INT_EN, CYREG_USB_ARB_EP7_INT_EN
.set PD_USBFS_USB__ARB_EP7_SR, CYREG_USB_ARB_EP7_SR
.set PD_USBFS_USB__ARB_EP8_CFG, CYREG_USB_ARB_EP8_CFG
.set PD_USBFS_USB__ARB_EP8_INT_EN, CYREG_USB_ARB_EP8_INT_EN
.set PD_USBFS_USB__ARB_EP8_SR, CYREG_USB_ARB_EP8_SR
.set PD_USBFS_USB__ARB_INT_EN, CYREG_USB_ARB_INT_EN
.set PD_USBFS_USB__ARB_INT_SR, CYREG_USB_ARB_INT_SR
.set PD_USBFS_USB__ARB_RW1_DR, CYREG_USB_ARB_RW1_DR
.set PD_USBFS_USB__ARB_RW1_RA, CYREG_USB_ARB_RW1_RA
.set PD_USBFS_USB__ARB_RW1_RA_MSB, CYREG_USB_ARB_RW1_RA_MSB
.set PD_USBFS_USB__ARB_RW1_WA, CYREG_USB_ARB_RW1_WA
.set PD_USBFS_USB__ARB_RW1_WA_MSB, CYREG_USB_ARB_RW1_WA_MSB
.set PD_USBFS_USB__ARB_RW2_DR, CYREG_USB_ARB_RW2_DR
.set PD_USBFS_USB__ARB_RW2_RA, CYREG_USB_ARB_RW2_RA
.set PD_USBFS_USB__ARB_RW2_RA_MSB, CYREG_USB_ARB_RW2_RA_MSB
.set PD_USBFS_USB__ARB_RW2_WA, CYREG_USB_ARB_RW2_WA
.set PD_USBFS_USB__ARB_RW2_WA_MSB, CYREG_USB_ARB_RW2_WA_MSB
.set PD_USBFS_USB__ARB_RW3_DR, CYREG_USB_ARB_RW3_DR
.set PD_USBFS_USB__ARB_RW3_RA, CYREG_USB_ARB_RW3_RA
.set PD_USBFS_USB__ARB_RW3_RA_MSB, CYREG_USB_ARB_RW3_RA_MSB
.set PD_USBFS_USB__ARB_RW3_WA, CYREG_USB_ARB_RW3_WA
.set PD_USBFS_USB__ARB_RW3_WA_MSB, CYREG_USB_ARB_RW3_WA_MSB
.set PD_USBFS_USB__ARB_RW4_DR, CYREG_USB_ARB_RW4_DR
.set PD_USBFS_USB__ARB_RW4_RA, CYREG_USB_ARB_RW4_RA
.set PD_USBFS_USB__ARB_RW4_RA_MSB, CYREG_USB_ARB_RW4_RA_MSB
.set PD_USBFS_USB__ARB_RW4_WA, CYREG_USB_ARB_RW4_WA
.set PD_USBFS_USB__ARB_RW4_WA_MSB, CYREG_USB_ARB_RW4_WA_MSB
.set PD_USBFS_USB__ARB_RW5_DR, CYREG_USB_ARB_RW5_DR
.set PD_USBFS_USB__ARB_RW5_RA, CYREG_USB_ARB_RW5_RA
.set PD_USBFS_USB__ARB_RW5_RA_MSB, CYREG_USB_ARB_RW5_RA_MSB
.set PD_USBFS_USB__ARB_RW5_WA, CYREG_USB_ARB_RW5_WA
.set PD_USBFS_USB__ARB_RW5_WA_MSB, CYREG_USB_ARB_RW5_WA_MSB
.set PD_USBFS_USB__ARB_RW6_DR, CYREG_USB_ARB_RW6_DR
.set PD_USBFS_USB__ARB_RW6_RA, CYREG_USB_ARB_RW6_RA
.set PD_USBFS_USB__ARB_RW6_RA_MSB, CYREG_USB_ARB_RW6_RA_MSB
.set PD_USBFS_USB__ARB_RW6_WA, CYREG_USB_ARB_RW6_WA
.set PD_USBFS_USB__ARB_RW6_WA_MSB, CYREG_USB_ARB_RW6_WA_MSB
.set PD_USBFS_USB__ARB_RW7_DR, CYREG_USB_ARB_RW7_DR
.set PD_USBFS_USB__ARB_RW7_RA, CYREG_USB_ARB_RW7_RA
.set PD_USBFS_USB__ARB_RW7_RA_MSB, CYREG_USB_ARB_RW7_RA_MSB
.set PD_USBFS_USB__ARB_RW7_WA, CYREG_USB_ARB_RW7_WA
.set PD_USBFS_USB__ARB_RW7_WA_MSB, CYREG_USB_ARB_RW7_WA_MSB
.set PD_USBFS_USB__ARB_RW8_DR, CYREG_USB_ARB_RW8_DR
.set PD_USBFS_USB__ARB_RW8_RA, CYREG_USB_ARB_RW8_RA
.set PD_USBFS_USB__ARB_RW8_RA_MSB, CYREG_USB_ARB_RW8_RA_MSB
.set PD_USBFS_USB__ARB_RW8_WA, CYREG_USB_ARB_RW8_WA
.set PD_USBFS_USB__ARB_RW8_WA_MSB, CYREG_USB_ARB_RW8_WA_MSB
.set PD_USBFS_USB__BUF_SIZE, CYREG_USB_BUF_SIZE
.set PD_USBFS_USB__BUS_RST_CNT, CYREG_USB_BUS_RST_CNT
.set PD_USBFS_USB__CR0, CYREG_USB_CR0
.set PD_USBFS_USB__CR1, CYREG_USB_CR1
.set PD_USBFS_USB__CWA, CYREG_USB_CWA
.set PD_USBFS_USB__CWA_MSB, CYREG_USB_CWA_MSB
.set PD_USBFS_USB__DMA_THRES, CYREG_USB_DMA_THRES
.set PD_USBFS_USB__DMA_THRES_MSB, CYREG_USB_DMA_THRES_MSB
.set PD_USBFS_USB__DYN_RECONFIG, CYREG_USB_DYN_RECONFIG
.set PD_USBFS_USB__EP_ACTIVE, CYREG_USB_EP_ACTIVE
.set PD_USBFS_USB__EP_TYPE, CYREG_USB_EP_TYPE
.set PD_USBFS_USB__EP0_CNT, CYREG_USB_EP0_CNT
.set PD_USBFS_USB__EP0_CR, CYREG_USB_EP0_CR
.set PD_USBFS_USB__EP0_DR0, CYREG_USB_EP0_DR0
.set PD_USBFS_USB__EP0_DR1, CYREG_USB_EP0_DR1
.set PD_USBFS_USB__EP0_DR2, CYREG_USB_EP0_DR2
.set PD_USBFS_USB__EP0_DR3, CYREG_USB_EP0_DR3
.set PD_USBFS_USB__EP0_DR4, CYREG_USB_EP0_DR4
.set PD_USBFS_USB__EP0_DR5, CYREG_USB_EP0_DR5
.set PD_USBFS_USB__EP0_DR6, CYREG_USB_EP0_DR6
.set PD_USBFS_USB__EP0_DR7, CYREG_USB_EP0_DR7
.set PD_USBFS_USB__MEM_DATA, CYREG_USB_MEM_DATA_MBASE
.set PD_USBFS_USB__PM_ACT_CFG, CYREG_PM_ACT_CFG5
.set PD_USBFS_USB__PM_ACT_MSK, 0x01
.set PD_USBFS_USB__PM_STBY_CFG, CYREG_PM_STBY_CFG5
.set PD_USBFS_USB__PM_STBY_MSK, 0x01
.set PD_USBFS_USB__SIE_EP_INT_EN, CYREG_USB_SIE_EP_INT_EN
.set PD_USBFS_USB__SIE_EP_INT_SR, CYREG_USB_SIE_EP_INT_SR
.set PD_USBFS_USB__SIE_EP1_CNT0, CYREG_USB_SIE_EP1_CNT0
.set PD_USBFS_USB__SIE_EP1_CNT1, CYREG_USB_SIE_EP1_CNT1
.set PD_USBFS_USB__SIE_EP1_CR0, CYREG_USB_SIE_EP1_CR0
.set PD_USBFS_USB__SIE_EP2_CNT0, CYREG_USB_SIE_EP2_CNT0
.set PD_USBFS_USB__SIE_EP2_CNT1, CYREG_USB_SIE_EP2_CNT1
.set PD_USBFS_USB__SIE_EP2_CR0, CYREG_USB_SIE_EP2_CR0
.set PD_USBFS_USB__SIE_EP3_CNT0, CYREG_USB_SIE_EP3_CNT0
.set PD_USBFS_USB__SIE_EP3_CNT1, CYREG_USB_SIE_EP3_CNT1
.set PD_USBFS_USB__SIE_EP3_CR0, CYREG_USB_SIE_EP3_CR0
.set PD_USBFS_USB__SIE_EP4_CNT0, CYREG_USB_SIE_EP4_CNT0
.set PD_USBFS_USB__SIE_EP4_CNT1, CYREG_USB_SIE_EP4_CNT1
.set PD_USBFS_USB__SIE_EP4_CR0, CYREG_USB_SIE_EP4_CR0
.set PD_USBFS_USB__SIE_EP5_CNT0, CYREG_USB_SIE_EP5_CNT0
.set PD_USBFS_USB__SIE_EP5_CNT1, CYREG_USB_SIE_EP5_CNT1
.set PD_USBFS_USB__SIE_EP5_CR0, CYREG_USB_SIE_EP5_CR0
.set PD_USBFS_USB__SIE_EP6_CNT0, CYREG_USB_SIE_EP6_CNT0
.set PD_USBFS_USB__SIE_EP6_CNT1, CYREG_USB_SIE_EP6_CNT1
.set PD_USBFS_USB__SIE_EP6_CR0, CYREG_USB_SIE_EP6_CR0
.set PD_USBFS_USB__SIE_EP7_CNT0, CYREG_USB_SIE_EP7_CNT0
.set PD_USBFS_USB__SIE_EP7_CNT1, CYREG_USB_SIE_EP7_CNT1
.set PD_USBFS_USB__SIE_EP7_CR0, CYREG_USB_SIE_EP7_CR0
.set PD_USBFS_USB__SIE_EP8_CNT0, CYREG_USB_SIE_EP8_CNT0
.set PD_USBFS_USB__SIE_EP8_CNT1, CYREG_USB_SIE_EP8_CNT1
.set PD_USBFS_USB__SIE_EP8_CR0, CYREG_USB_SIE_EP8_CR0
.set PD_USBFS_USB__SOF0, CYREG_USB_SOF0
.set PD_USBFS_USB__SOF1, CYREG_USB_SOF1
.set PD_USBFS_USB__USB_CLK_EN, CYREG_USB_USB_CLK_EN
.set PD_USBFS_USB__USBIO_CR0, CYREG_USB_USBIO_CR0
.set PD_USBFS_USB__USBIO_CR1, CYREG_USB_USBIO_CR1

/* Miscellaneous */
.set BCLK__BUS_CLK__HZ, 48000000
.set BCLK__BUS_CLK__KHZ, 48000
.set BCLK__BUS_CLK__MHZ, 48
.set CYDEV_BOOTLOADER_APPLICATIONS, 1
.set CYDEV_BOOTLOADER_CHECKSUM_BASIC, 0
.set CYDEV_BOOTLOADER_CHECKSUM_CRC, 1
.set CYDEV_BOOTLOADER_IO_COMP_CUSTOM_IO, 0
.set CyBtldr_Custom_Interface, CYDEV_BOOTLOADER_IO_COMP_CUSTOM_IO
.set CYDEV_BOOTLOADER_IO_COMP, CYDEV_BOOTLOADER_IO_COMP_CUSTOM_IO
.set CYDEV_BOOTLOADER_IO_COMP_PD_USBFS, 1
.set CyBtldr_PD_USBFS, CYDEV_BOOTLOADER_IO_COMP_PD_USBFS
.set CYDEV_CHIP_DIE_LEOPARD, 1
.set CYDEV_CHIP_DIE_PANTHER, 6
.set CYDEV_CHIP_DIE_PSOC4A, 3
.set CYDEV_CHIP_DIE_PSOC5LP, 5
.set CYDEV_CHIP_DIE_UNKNOWN, 0
.set CYDEV_CHIP_FAMILY_PSOC3, 1
.set CYDEV_CHIP_FAMILY_PSOC4, 2
.set CYDEV_CHIP_FAMILY_PSOC5, 3
.set CYDEV_CHIP_FAMILY_UNKNOWN, 0
.set CYDEV_CHIP_FAMILY_USED, CYDEV_CHIP_FAMILY_PSOC5
.set CYDEV_CHIP_JTAG_ID, 0x2E12F069
.set CYDEV_CHIP_MEMBER_3A, 1
.set CYDEV_CHIP_MEMBER_4A, 3
.set CYDEV_CHIP_MEMBER_4D, 2
.set CYDEV_CHIP_MEMBER_4F, 4
.set CYDEV_CHIP_MEMBER_5A, 6
.set CYDEV_CHIP_MEMBER_5B, 5
.set CYDEV_CHIP_MEMBER_UNKNOWN, 0
.set CYDEV_CHIP_MEMBER_USED, CYDEV_CHIP_MEMBER_5B
.set CYDEV_CHIP_DIE_EXPECT, CYDEV_CHIP_MEMBER_USED
.set CYDEV_CHIP_DIE_ACTUAL, CYDEV_CHIP_DIE_EXPECT
.set CYDEV_CHIP_REV_LEOPARD_ES1, 0
.set CYDEV_CHIP_REV_LEOPARD_ES2, 1
.set CYDEV_CHIP_REV_LEOPARD_ES3, 3
.set CYDEV_CHIP_REV_LEOPARD_PRODUCTION, 3
.set CYDEV_CHIP_REV_PANTHER_ES0, 0
.set CYDEV_CHIP_REV_PANTHER_ES1, 1
.set CYDEV_CHIP_REV_PANTHER_PRODUCTION, 1
.set CYDEV_CHIP_REV_PSOC4A_ES0, 17
.set CYDEV_CHIP_REV_PSOC4A_PRODUCTION, 17
.set CYDEV_CHIP_REV_PSOC5LP_ES0, 0
.set CYDEV_CHIP_REV_PSOC5LP_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_3A_ES1, 0
.set CYDEV_CHIP_REVISION_3A_ES2, 1
.set CYDEV_CHIP_REVISION_3A_ES3, 3
.set CYDEV_CHIP_REVISION_3A_PRODUCTION, 3
.set CYDEV_CHIP_REVISION_4A_ES0, 17
.set CYDEV_CHIP_REVISION_4A_PRODUCTION, 17
.set CYDEV_CHIP_REVISION_4D_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4F_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_5A_ES0, 0
.set CYDEV_CHIP_REVISION_5A_ES1, 1
.set CYDEV_CHIP_REVISION_5A_PRODUCTION, 1
.set CYDEV_CHIP_REVISION_5B_ES0, 0
.set CYDEV_CHIP_REVISION_5B_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_USED, CYDEV_CHIP_REVISION_5B_PRODUCTION
.set CYDEV_CHIP_REV_EXPECT, CYDEV_CHIP_REVISION_USED
.set CYDEV_CONFIG_FASTBOOT_ENABLED, 1
.set CYDEV_CONFIG_UNUSED_IO_AllowButWarn, 0
.set CYDEV_CONFIG_UNUSED_IO, CYDEV_CONFIG_UNUSED_IO_AllowButWarn
.set CYDEV_CONFIG_UNUSED_IO_AllowWithInfo, 1
.set CYDEV_CONFIG_UNUSED_IO_Disallowed, 2
.set CYDEV_CONFIGURATION_COMPRESSED, 1
.set CYDEV_CONFIGURATION_DMA, 0
.set CYDEV_CONFIGURATION_ECC, 0
.set CYDEV_CONFIGURATION_IMOENABLED, CYDEV_CONFIG_FASTBOOT_ENABLED
.set CYDEV_CONFIGURATION_MODE_COMPRESSED, 0
.set CYDEV_CONFIGURATION_MODE, CYDEV_CONFIGURATION_MODE_COMPRESSED
.set CYDEV_CONFIGURATION_MODE_DMA, 2
.set CYDEV_CONFIGURATION_MODE_UNCOMPRESSED, 1
.set CYDEV_DEBUG_ENABLE_MASK, 0x20
.set CYDEV_DEBUG_ENABLE_REGISTER, CYREG_MLOGIC_DEBUG
.set CYDEV_DEBUGGING_DPS_Disable, 3
.set CYDEV_DEBUGGING_DPS_JTAG_4, 1
.set CYDEV_DEBUGGING_DPS_JTAG_5, 0
.set CYDEV_DEBUGGING_DPS_SWD, 2
.set CYDEV_DEBUGGING_DPS_SWD_SWV, 6
.set CYDEV_DEBUGGING_DPS, CYDEV_DEBUGGING_DPS_SWD_SWV
.set CYDEV_DEBUGGING_ENABLE, 1
.set CYDEV_DEBUGGING_XRES, 0
.set CYDEV_DMA_CHANNELS_AVAILABLE, 24
.set CYDEV_ECC_ENABLE, 1
.set CYDEV_HEAP_SIZE, 0x00
.set CYDEV_INSTRUCT_CACHE_ENABLED, 1
.set CYDEV_INTR_RISING, 0x00000000
.set CYDEV_PROJ_TYPE, 1
.set CYDEV_PROJ_TYPE_BOOTLOADER, 1
.set CYDEV_PROJ_TYPE_LOADABLE, 2
.set CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER, 3
.set CYDEV_PROJ_TYPE_STANDARD, 0
.set CYDEV_PROTECTION_ENABLE, 0
.set CYDEV_STACK_SIZE, 0x1000
.set CYDEV_USE_BUNDLED_CMSIS, 1
.set CYDEV_VARIABLE_VDDA, 0
.set CYDEV_VDDA_MV, 5000
.set CYDEV_VDDD_MV, 5000
.set CYDEV_VDDIO0_MV, 5000
.set CYDEV_VDDIO1_MV, 5000
.set CYDEV_VDDIO2_MV, 5000
.set CYDEV_VDDIO3_MV, 5000
.set CYDEV_VIO0_MV, 5000
.set CYDEV_VIO1_MV, 5000
.set CYDEV_VIO2_MV, 5000
.set CYDEV_VIO3_MV, 5000
.set CYIPBLOCK_ARM_CM3_VERSION, 0
.set CYIPBLOCK_P3_ANAIF_VERSION, 0
.set CYIPBLOCK_P3_CAPSENSE_VERSION, 0
.set CYIPBLOCK_P3_COMP_VERSION, 0
.set CYIPBLOCK_P3_DMA_VERSION, 0
.set CYIPBLOCK_P3_DRQ_VERSION, 0
.set CYIPBLOCK_P3_EMIF_VERSION, 0
.set CYIPBLOCK_P3_I2C_VERSION, 0
.set CYIPBLOCK_P3_LCD_VERSION, 0
.set CYIPBLOCK_P3_LPF_VERSION, 0
.set CYIPBLOCK_P3_PM_VERSION, 0
.set CYIPBLOCK_P3_TIMER_VERSION, 0
.set CYIPBLOCK_P3_USB_VERSION, 0
.set CYIPBLOCK_P3_VIDAC_VERSION, 0
.set CYIPBLOCK_P3_VREF_VERSION, 0
.set CYIPBLOCK_S8_GPIO_VERSION, 0
.set CYIPBLOCK_S8_IRQ_VERSION, 0
.set CYIPBLOCK_S8_SAR_VERSION, 0
.set CYIPBLOCK_S8_SIO_VERSION, 0
.set CYIPBLOCK_S8_UDB_VERSION, 0
.set DMA_CHANNELS_USED__MASK0, 0x00000000
.set CYDEV_BOOTLOADER_ENABLE, 1
.endif
